Module | Magick
In: | lib/rvg/rvg.rb lib/rvg/describable.rb lib/rvg/transformable.rb lib/rvg/stylable.rb lib/rvg/stretchable.rb lib/rvg/container.rb lib/rvg/text.rb lib/rvg/pathdata.rb lib/rvg/paint.rb lib/rvg/deep_equal.rb lib/rvg/misc.rb lib/rvg/embellishable.rb lib/rvg/units.rb lib/rvg/clippath.rb lib/RMagick.rb ext/RMagick/rmmain.c

Define the classes and constants.

No Ruby usage (internal function)

### Methods

formats trace_proc=

### Classes and Modules

Module Magick::IPTC
Class Magick::DestroyedImageError
Class Magick::Draw
Class Magick::Enum
Class Magick::FatalImageMagickError
Class Magick::Geometry
Class Magick::GeometryValue
Class Magick::GradientFill
Class Magick::HatchFill
Class Magick::Image
Class Magick::ImageList
Class Magick::ImageMagickError
Class Magick::OptionalMethodArguments
Class Magick::Pixel
Class Magick::RVG
Class Magick::TextureFill

### Constants

PercentGeometry | = | GeometryValue.new(:PercentGeometry, 1).freeze
AspectGeometry | = | GeometryValue.new(:AspectGeometry, 2).freeze
LessGeometry | = | GeometryValue.new(:LessGeometry, 3).freeze
GreaterGeometry | = | GeometryValue.new(:GreaterGeometry, 4).freeze
AreaGeometry | = | GeometryValue.new(:AreaGeometry, 5).freeze
MinimumGeometry | = | GeometryValue.new(:MinimumGeometry, 6).freeze
MANAGED_MEMORY | = | Qtrue
MANAGED_MEMORY | = | Qfalse
MANAGED_MEMORY | = | Qfalse
AlphaChannel | = | _enum
DefaultChannels | = | _enum
HueChannel | = | _enum
LuminosityChannel | = | _enum
SaturationChannel | = | _enum
AffineMatrix | = | Class_AffineMatrix
Primary | = | Class_Primary
Chromaticity | = | Class_Chromaticity
Color | = | Class_Color
Point | = | Class_Point
Rectangle | = | Class_Rectangle
Segment | = | Class_Segment
Font | = | Class_Font
TypeMetric | = | Class_TypeMetric
Magick_version | = | str
Version | = | str
Long_version | = | str

### Public Class methods

formats() {|k, v| ...}
trace_proc=(p)

remove reference to the proc at exit

[Validate]